package org.nakedobjects.nof.reflect.java.value;

import org.nakedobjects.applib.value.Password;
import org.nakedobjects.nof.core.adapter.value.AbstractValueAdapterTestCase;

public class PasswordAdapterTest extends AbstractValueAdapterTestCase {
    
    private PasswordAdapter adapter;

    protected void setUp() throws Exception {
        super.setUp();
        super.value = adapter = new PasswordAdapter(new Password("secret"));
    }
    
    public void testEncoding() {
        String encoded = adapter.asEncodedString();
        assertEquals("secret", new String(encoded));
    }
    
    public void testCheckPassword() {
        PasswordAdapter adapter = new PasswordAdapter(new Password("secret"));
        assertFalse(adapter.checkPassword(""));
        assertFalse(adapter.checkPassword("SECRET"));
        assertTrue(adapter.checkPassword("secret"));

    }
}


// Copyright (c) Naked Objects Group Ltd.
